Jump to content

SCS v32 Release Candidate (now Version 10) Available for Testing


Recommended Posts

9 minutes ago, Jarno Mikkola said:

Hey to yourself, did you do as you are instructed and used the 9th release candidate... or like you are NOT and used non-release version that's "to_be_worked_on" ?

The "invalid 104196"... etc refer to a dialog.tlk's text portion that has not been copied yet over, which .. indicated the later. 

 

 

Yes I am using the 9th release, I had downloaded and installed V32 last night, as per what I had written earlier. 

Link to post
18 hours ago, Moonboy187 said:

Firstly for the Boneguard, once it summoned and attacks, the text which should show its name (Boneguard) doesnt, it shows instead "Invalid 104196". Not quite sure why that is.

Same for me, boneguards are called an "invalid no.'"

Link to post
On 2/24/2019 at 9:52 PM, Jabberwock said:

Thank you David! Shouldn't you have a patreon somewhere...?

I have a day job that pays perfectly well; accepting money for modding would blur the line between a hobby I can do in my own time, and a second job. (That's the same reason I didn't take any money from Beamdog for the underlying converter for IWD:EE.)

 

@everyone: thanks for comments, busy with RL for now but will get to them.

Link to post

On my playthrough with RC 8 and spell revisions, Shandalar didn't seem to have any spells memorized when i attacked him. He just moved and hit with his weapon.

On a side note, in my BGEE playthrough on tactical difficulty (didn't make it to BG2EE) the spells precast by mages with spell revisions installed seem to always be the same (shield, prot from missiles, stoneskin). In a previous run with SCS v 30 and without spell revisions spells were more diverse. Blur has the same duration as shield but was never used for example. Clairvoyance is never used even though it's a great protection against backstabs and is not dispellable by Breach, to my knowledge.The same could be said for offensive spells.

SCS without spell revisions seem to do a better job at specializing wizards imho. I could understand though it would be a tough job to get the same level of refinement with SR (a lot of spells don't even have the same schools in SR and there is so many spells modified or added). My run was pleasant but fighting mages was not very surprising, compared to my previous runs with SCS without SR.

Link to post

I think I may have found a fairly major bug with the Improved NPC Customization component. Would appreciate if anyone can check if they can reproduce this behavior:

Install NPC Project & play up to the point where Imoen joins you. Use the customization component. If you select the "Choose class" option then her triggered interjections are broken henceforth, e.g. try traveling to Beregost or looting Gorion - both of which should trigger dialogue from Imoen.

If you only use Choose Kit or do not select the power at all, it seems to work normally however and she has her normal interjections. What is not affected in either case is the additional dialogue coming from her when you talk with another NPC, e.g. she will still comment on Elminster.

As said, would be great if someone could confirm this. I tried 2 times without using Choose class -> normal behaviour and 2 times with choosing class -> broken interjections. Note: even if you choose her existing class (Thief) the interjections still get broken.

 

Link to post

I also have a current run on BG2EE with SR and SCS RC9. I also agree that it looks a bit less surprising in comparaison to my old run with SCS and the old vanilla spell system.

Especially enemies mage no longer have the SI abjuration and SI divination with SR and it makes mages really less powerfull. 

If you allow me, I think that with SR, enemies mage shoud use  non detection (level 3) and dispelling screen (level5), (both are kind of immunity to divination and abjuration with SR). I think these spell should be used really more ofen in conjonction with improved invisibility/shadow door.

But I am still on chapter 2 so I  did'nt meet a lot of enemies mage yet.

 

Link to post

I am (or was) doing an insane run through BG2 with RC9. The insane level random spawns seem a little... insane? My level 9/10 party got bullied to death by a group of 3 spirit trolls + 5-6 other minor trolls that spawned in the druid grove. It seems more challenging than the comparable v30 "insaneish" install picks. I guess I don't want it nerfed, but I thought I'd mention it. Maybe I'm misremembering which option I used to pick in v30.

Also, I don't know if the call for help scripts changed, but the functionality seems more aggressive. I was frequently getting unrelated monster groups pulled into combats. E.g. the kobold shaman in the slums sewers getting pulled from a significant distance away into a fight with hobgoblins, and then slimes also showing up from some distance away.  I'm not sure whether that's a problem or not but thought I would flag it.

Anyway: RIP Alphus O'Malley, the Irish Gnome Assassin, you will be missed. 

Link to post

If I wanted to play around with the party member pre-buffing script, how would I do that? Essentially I just want to add in some other spells to prebuff with, and if I can figure out how, add in the ability to autocast wondrous recall in certain circumstances.

Link to post
6 hours ago, Jabberwock said:

I am (or was) doing an insane run through BG2 with RC9. The insane level random spawns seem a little... insane? My level 9/10 party got bullied to death by a group of 3 spirit trolls + 5-6 other minor trolls that spawned in the druid grove. It seems more challenging than the comparable v30 "insaneish" install picks. I guess I don't want it nerfed, but I thought I'd mention it. Maybe I'm misremembering which option I used to pick in v30.

I do remember a large group with multiple spirit trolls right at the beginning of the druid grove though. And that would be from quite a while back, so I'm not convinced anything changed there.

 

 

Link to post

Hello,

There is an extraneous '~' in the german setup.tra line 70 (@219 in D:\BeamDog\Games\00766\stratagems\lang\german\setup.tra contains 3 '~').

It seems that the new component  "Increase the power of Cure Wounds and Cause Wounds spells" has some problem as it automatically uninstalled when I try to install it 🤔

WeiDU.log

Link to post

Hi, I have another crash bug that I can reproduce. This is on a fresh install with just SCS and no other mods (notably, no Ascension). In Sendai's enclave, when trying to enter Diaytha's room, the game freezes and crashes every time. This bug has been reported before in 2017 on beamdog forums, so I suspect it's also in the previous version.

Reinstalling the game and loading the save with no mods installed lets me proceed normally.

Link to post

Are fireshields truly working properly now with druid bug spells? I fought ployer's boys (3x mages, two of which fireshielded, 1 red + 1 blue).  Jaheira cast insect plague (lvl 5) once on ployer at the start of the fight, which spread to the 3 mages. The fireshield behavior seemed the same as in v30, in the sense that it didn't protect them from any of the effects of the spell. I couldn't for certain tell whether affected mages were getting spell fail, but they didn't cast any spells other than sequencers, which sure looks like they had spell failure. They definitely took the per round piercing damage and the fear effects. Note that they were already fireshielded when the bug spell hit them (rather than casting fireshield after affected, which would albeit be difficult without a loaded sequencer).

I'm not sure exactly what the specific intended behavior of the fireshield spell is. It's possible that it works to purge the bug effects if you cast after you have bugs, but I'm assuming fire shield is intended to act as complete protection as long as fire shield is up, irrespective of when it was cast. If so, it's definitely not working as intended.

I replayed the fight a few times to check and confirm behavior. I also tried casting insect plague directly at a fireshielded mage, and the bugs again seemed to completely ignore the existence of the fire shield. Interestingly, minor spell deflection did seem to block the bug spread, but only for the first round. Bugs subsequently affected the previously deflecting enemy mages, who had since lost their deflection (presumably having the 4 levels totally absorbed by the level 5 spell). That kinda worries me the spell might strip 5 turning charges a round, which I guess is OK, but may or may not be intended.

I am using SCS RC9 with ascension and no other mods. I checked my SCS install settings and noticed it never asks about fireshield changes, but it doesn't ask about a lot of the other spell tweaks (breach e.g.) so I am assuming they are now installed by default...? Breach worked against the sewer rakshasa when i tested it...

Is this a known bug?

Edit: I, as with the above poster, also was not able to get the cure wounds changes to install correctly, and so was forced to skip that module during installation (this is unrelated to the above notes on fireshield / bugs spells).

Edited by Jabberwock
Link to post

[SOLVED by Jabberwock]

First of all, thanks a lot for the mod. Never played SCS and the difficulty slider seems perfect for new players who don't have any experience with it. I really need gameplay changes because I know the mechanics and all the dirty tricks to beat the most powerful enemies quite well. I'll probably start with Tactiful and see how it goes.

I tried modding the game in Polish (for superb voice actors), had some issues though (many components didn't install at all) so I decided to setup the English version for now, while the current release is still fresh.

BG2 EE v2.5.16.6, Windows, English, installed via Beamdog client, no other mods, SCS v32 RC9
Here are some errors (there were other parsing errors later, I quit before the installation finished). Would anyone be so kind to help me deal with them? Maybe the reason is skipping IWD spells (as it was in some other case I think)?


Including file(s) spellchoices_defensive/vanilla/cleric.tph
Copying and patching 1 file ...
[stratagems/priest/spellchoices_defensive/vanilla/cleric.tph] loaded, 8476 bytes
Copied [stratagems/priest/spellchoices_defensive/vanilla/cleric.tph] to [weidu_external/workspace/spellchoices_defensive/vanilla/cleric.tph]
Copying and patching 1 file ...
[weidu_external/workspace\ssl_out\dw#priest.baf] loaded, 281755 bytes
Copied [weidu_external/workspace\ssl_out\dw#priest.baf] to [weidu_external/workspace\ssl_out/dw#priest.baf]
Copying 1 file ...
[weidu_external/workspace\ssl_out\dw#priest.baf] loaded, 274606 bytes
Copied [weidu_external/workspace\ssl_out\dw#priest.baf] to [weidu_external/workspace\ssl_out\dw#pr6.baf] (NO BACKUP MADE!)
Compiling 1 script ...
[weidu_external/workspace\ssl_out\dw#pr6.baf] loaded, 274606 bytes

[tb#_compile_eval_buffer/weidu_external/workspace\ssl_out\dw#pr6.baf] PARSE ERROR at line 494 column 1-27
Near Text: )
	syntax error
ERROR: parsing [tb#_compile_eval_buffer/weidu_external/workspace\ssl_out\dw#pr6.baf]: Parsing.Parse_error
ERROR: error compiling [tb#_compile_eval_buffer/weidu_external/workspace\ssl_out\dw#pr6.baf]: Parsing.Parse_error
ERROR: compiling [weidu_external/workspace\ssl_out\dw#pr6.baf]!
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
Stopping installation because of error.
ERROR: [AR18PRIE.CRE] -> [override/AR18PRIE.CRE] Patching Failed (COPY) (Parsing.Parse_error)
Stopping installation because of error.

Failed to patch AR18PRIE.CRE; error message was Parsing.Parse_error

Failed to patch AR18PRIE.CRE; error message was Parsing.Parse_error
[weidu_external/data/stratagems/sfo_warnings.txt] loaded, 1512 bytes
Appending to files ...
[weidu_external/data/stratagems/sfo_warnings.txt] loaded, 1512 bytes
weidu_external/data/stratagems/sfo_warnings.txt copied to weidu_external/backup/stratagems/6040/sfo_warnings.txt, 1512 bytes
Appended text to [weidu_external/data/stratagems/sfo_warnings.txt]
Copying and patching 1 file ...
[./override/ARENTHIS.CRE] loaded, 1980 bytes

Chosen components (before the error):
Wider selection of random scrolls
Reduce the power of Inquisitors' Dispel Magic
Increase the power of Cure Wounds and Cause Wounds spells to the level found in 3rd Edition D&D
Restoration and Lesser Restoration spells heal ability-score damage
Faster Bears
Improved shapeshifting
Thieves assign skill points in multiples of five
Treat mages' and priests' High-Level Abilities as innate abilities rather than memorisable spells (each may be taken only once
Make spell sequencers and contingencies into innate abilities
Ease-of-use party AI
Initialise AI components (required for all tactical and AI components)
Smarter general AI
Better calls for help
Smarter Mages
Smarter Priests

And one other minor thing unrelated to the mod:
Is there a way to have both Neera and Edwin in the party? From what I've read, Tweaks don't provide such an option.

Edited by xorton
Link to post

Try installing without the changes to cure / cause wounds. I couldn't get it to install correctly and it broke the rest of the install for me when it was included with a bunch of other stuff.

If that doesn't work, try installing a few modules at a time to see if you can figure out what isn't getting through.

Link to post

Hey @DavidW, first of all, is there a list of open reports that you maintain at all times? I wanted to check before I report bugs to not make duplicates.

 

Quote

Summons (Planetars, Efreeti,...) are more obedient

Planetars still become hostile when attacked. Not sure if intended.

 

Edited by Myrag
Link to post
Guest
This topic is now closed to further replies.
×
×
  • Create New...